# Generated by Django 3.1 on 2021-05-27 19:09

import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion
import order.utils


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('store', '0002_auto_20210527_1859'),
    ]

    operations = [
        migrations.CreateModel(
            name='BillingInformation',
            fields=[
                ('id_pk', models.AutoField(primary_key=True, serialize=False)),
                ('billing_type', models.CharField(blank=True, max_length=32, null=True)),
                ('name', models.CharField(blank=True, max_length=64, null=True)),
                ('address', models.CharField(blank=True, max_length=128, null=True)),
                ('phone', models.CharField(blank=True, max_length=64, null=True)),
                ('email', models.CharField(blank=True, max_length=64, null=True)),
                ('document_type', models.CharField(blank=True, max_length=32, null=True)),
                ('document_number', models.CharField(blank=True, max_length=32, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Courier',
            fields=[
                ('id_pk', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(blank=True, max_length=64, null=True)),
                ('phone_number', models.CharField(blank=True, max_length=64)),
            ],
        ),
        migrations.CreateModel(
            name='Customer',
            fields=[
                ('id_pk', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(blank=True, max_length=64, null=True)),
                ('phone_number', models.CharField(blank=True, max_length=64, null=True)),
                ('hash', models.CharField(blank=True, max_length=64, null=True)),
                ('first_name', models.CharField(blank=True, max_length=64, null=True)),
                ('last_name', models.CharField(blank=True, max_length=64, null=True)),
                ('user_type', models.CharField(blank=True, max_length=64, null=True)),
                ('email', models.CharField(blank=True, max_length=64, null=True)),
                ('document_number', models.CharField(blank=True, max_length=32, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='DeliveryDiscount',
            fields=[
                ('id_pk', models.AutoField(primary_key=True, serialize=False)),
                ('total_percentage_discount', models.PositiveIntegerField(null=True)),
                ('total_value_discount', models.PositiveIntegerField(null=True)),
            ],
        ),
        migrations.CreateModel(
            name='DeliveryInformation',
            fields=[
                ('id_pk', models.AutoField(primary_key=True, serialize=False)),
                ('label', models.CharField(blank=True, max_length=64, null=True)),
                ('longitude', models.CharField(blank=True, max_length=64, null=True)),
                ('latitude', models.CharField(blank=True, max_length=64, null=True)),
                ('city', models.CharField(blank=True, max_length=32, null=True)),
                ('complete_address', models.CharField(blank=True, max_length=128, null=True)),
                ('description', models.CharField(blank=True, max_length=64, null=True)),
                ('neighborhood', models.CharField(blank=True, max_length=32, null=True)),
                ('postal_code', models.CharField(blank=True, max_length=32, null=True)),
                ('complement', models.CharField(blank=True, max_length=32, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Order',
            fields=[
                ('id_pk', models.AutoField(primary_key=True, serialize=False)),
                ('order_id', models.CharField(max_length=64)),
                ('order_json', models.JSONField()),
                ('order_time', models.CharField(blank=True, max_length=64, null=True, validators=[order.utils.validate_date_format])),
                ('estimated_pickup_time', models.CharField(blank=True, max_length=64, null=True, validators=[order.utils.validate_date_format])),
                ('utc_offset_minutes', models.CharField(blank=True, max_length=64, null=True)),
                ('currency', models.CharField(blank=True, max_length=64, null=True)),
                ('order_code', models.CharField(blank=True, max_length=64, null=True)),
                ('allergy_info', models.CharField(blank=True, max_length=64, null=True)),
                ('estimated_total_price', models.PositiveIntegerField(null=True)),
                ('delivery_fee', models.PositiveIntegerField(null=True)),
                ('minimum_basket_surcharge', models.PositiveIntegerField(null=True)),
                ('customer_cash_payment_amount', models.PositiveIntegerField(null=True)),
                ('bundled_orders', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=64), null=True, size=None)),
                ('pick_up_code', models.CharField(blank=True, max_length=64, null=True)),
                ('is_picked_up_by_customer', models.BooleanField(null=True)),
                ('cutlery_requested', models.BooleanField(null=True)),
                ('total_customer_to_pay', models.FloatField(null=True)),
                ('status', models.PositiveIntegerField(null=True)),
                ('status_pixel', models.PositiveIntegerField(null=True)),
                ('status_final', models.PositiveIntegerField(null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('processed_at', models.DateTimeField(null=True)),
                ('processed_at_pixel', models.DateTimeField(null=True)),
                ('transaction_number', models.CharField(max_length=16, null=True)),
                ('created_at_rappi', models.DateTimeField(null=True)),
                ('cooking_time', models.PositiveIntegerField(null=True)),
                ('delivery_method', models.CharField(blank=True, max_length=64, null=True)),
                ('min_cooking_time', models.PositiveIntegerField(null=True)),
                ('max_cooking_time', models.PositiveIntegerField(null=True)),
                ('payment_method', models.CharField(blank=True, max_length=64)),
                ('total_products_with_discount', models.FloatField(null=True)),
                ('total_products_without_discount', models.FloatField(null=True)),
                ('total_other_discounts', models.FloatField(null=True)),
                ('total_order', models.FloatField(null=True)),
                ('total_to_pay', models.FloatField(null=True)),
                ('total_rappi_credits', models.FloatField(null=True)),
                ('total_rappi_pay', models.FloatField(null=True)),
                ('tip', models.FloatField(null=True)),
                ('shipping', models.FloatField(null=True)),
                ('service_fee', models.FloatField(null=True)),
                ('mode', models.IntegerField(default=1)),
                ('aggregator', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='store.aggregator')),
                ('billing_information', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='order.billinginformation')),
                ('courier', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='order.courier')),
                ('customer', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='order.customer')),
                ('delivery_discount', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='order.deliverydiscount')),
                ('delivery_information', models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, to='order.deliveryinformation')),
                ('store', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='store.store')),
            ],
        ),
        migrations.CreateModel(
            name='OrderNotReceived',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('order_id', models.CharField(max_length=64)),
                ('store_id', models.PositiveIntegerField(null=True)),
                ('aggregator_name', models.CharField(max_length=32, null=True)),
                ('order_json', models.JSONField(null=True)),
                ('exception', models.TextField(null=True)),
                ('mode', models.IntegerField(default=1)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
            ],
        ),
        migrations.CreateModel(
            name='ProductOrder',
            fields=[
                ('id_pk', models.AutoField(primary_key=True, serialize=False)),
                ('id', models.CharField(max_length=32, null=True)),
                ('name', models.CharField(blank=True, max_length=64, null=True)),
                ('price', models.CharField(blank=True, max_length=16, null=True)),
                ('quantity', models.PositiveIntegerField(null=True)),
                ('purchased_product_id', models.CharField(blank=True, max_length=32, null=True)),
                ('parent_item_id', models.CharField(max_length=32, null=True)),
                ('sku', models.CharField(max_length=32, null=True)),
                ('type', models.CharField(blank=True, max_length=32, null=True)),
                ('comments', models.CharField(blank=True, max_length=64, null=True)),
                ('unit_price_with_discount', models.FloatField(null=True)),
                ('unit_price_without_discount', models.FloatField(null=True)),
                ('percentage_discount', models.FloatField(null=True)),
                ('order', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='products', to='order.order')),
            ],
        ),
        migrations.CreateModel(
            name='OrderCancelation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('cancel_reason', models.CharField(choices=[('PRODUCTS_NOT_AVAILABLE', 'Product not available'), ('STORE_CAN_NOT_DELIVER', "Can't not delivery"), ('PARTNER_PRINTER_ISSUE', 'Partner printer issue'), ('USER_ERROR', 'User error'), ('ORDER_NOT_FEASIBLE', 'Order not feasible'), ('OTHER', 'Other')], max_length=22)),
                ('payment_strategy', models.CharField(choices=[('PAY_NOTHING', 'Pay nothing'), ('PAY_PRODUCTS', 'Pay products')], max_length=12)),
                ('order', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='order.order')),
            ],
        ),
        migrations.CreateModel(
            name='OrderBodyResponse',
            fields=[
                ('id_pk', models.AutoField(primary_key=True, serialize=False)),
                ('orders_json', models.JSONField()),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('aggregator', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='store.aggregator')),
                ('store', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='store.store')),
            ],
        ),
        migrations.CreateModel(
            name='Invoice',
            fields=[
                ('id_pk', models.AutoField(primary_key=True, serialize=False)),
                ('company_name', models.CharField(blank=True, max_length=64, null=True)),
                ('company_address', models.CharField(blank=True, max_length=64, null=True)),
                ('tax_id', models.CharField(blank=True, max_length=64, null=True)),
                ('customer', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='order.customer')),
            ],
        ),
    ]
